/*
 * Copyright (C) 2014 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.tradefed.testtype;

import com.android.tradefed.config.proto.ConfigurationDescription;

import java.io.Serializable;

/** Interface representing the ABI under test. */
public interface IAbi extends Serializable {

    /**
     * @return The name of the ABI.
     */
    public String getName();

    /**
     * @return The bitness of the ABI (eg. 32, 64).
     */
    public String getBitness();

    /** Returns the proto representation of the current Abi instance. */
    public ConfigurationDescription.Abi toProto();
}
